Package org.eclipse.cdt.core.dom.ast

# Enum Class EScopeKind

java.lang.Object
java.lang.Enum<EScopeKind>
org.eclipse.cdt.core.dom.ast.EScopeKind

All Implemented Interfaces:
  `Serializable`, `Comparable<EScopeKind>`, `java.lang.constant.Constable`

public enum EScopeKind extends Enum<EScopeKind>
Enumerates various kinds of scopes

Since:
  5.1

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`eClassType`
For classes, structs or unions.
`eEnumeration`
`eGlobal`
`eLocal`
Used for local scope, but also for function-scope (labels) and function-prototype scope (parameters in function prototypes).
`eNamespace`
`eTemplateDeclaration`
For each template declaration a scope is created in which the template parameters can be looked up.

## Method Summary

Modifier and Type
Method
Description
`static EScopeKind`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static EScopeKind[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### eLocal

public static final EScopeKind eLocal
Used for local scope, but also for function-scope (labels) and function-prototype scope (parameters in function prototypes).

### eEnumeration

public static final EScopeKind eEnumeration

Since:
  5.2

### eNamespace

public static final EScopeKind eNamespace

### eClassType

public static final EScopeKind eClassType
For classes, structs or unions.

### eGlobal

public static final EScopeKind eGlobal

### eTemplateDeclaration

public static final EScopeKind eTemplateDeclaration
For each template declaration a scope is created in which the template parameters can be looked up.

## Method Details

### values

public static EScopeKind[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static EScopeKind valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null